-----------------------------------------------------------------------------------------------------------------------------
--
-- User Configuration Values
--
-----------------------------------------------------------------------------------------------------------------------------

-- Default Frame Settings (Can be configured per-character through in game commands kinda)
ACConfig = {
	{						-- Buff/Debuff frame for this unit
		--[[
			Corner:TOP RIGHT    Growth = Left then Down
			Corner:TOP LEFT		Growth = Right then Down
			Corner:BOTTOM RIGHT Growth = Left then UP
			Corner:BOTTOM LEFT  Growth = Right then UP
		]]
		unit = "player",
		name = "buffs",
		corner  = { "TOP" , "RIGHT" },
		flashTimer 	 = 15,				-- time to start blinking on aura about to fall off
		iconScale 	 = 1.15,				-- auras scale from a 20pt size
		maxTime	 	 = 60*5,			-- aura longer than this will not be shown. time = 60s * X minutes 
		perLine		 = 6,				-- number of aura per line before it moves to next
	},
	{
		unit = "player",
		name = "debuffs",
		corner  = { "BOTTOM" , "RIGHT" },
		iconScale 	 = 1,
		maxTime	 	 = 60*60*5,
		perLine		 = 6,
	},
	{
		unit = "player.target",
		name = "debuffs",
		corner  = { "TOP" , "LEFT" },
		flashTimer 	 = 15,
		iconScale 	 = .7,
		maxTime	  	 = 60*60*5,
		perLine		 = 9,
	},
	{
		unit = "player.target",
		name = "buffs",
		corner  = { "BOTTOM" , "LEFT" },
		iconScale 	 = 1,
		maxTime	 	 = 60*60*5,
		perLine		 = 8,
	},
	{
		unit = "player",
		name = "whitelist",
		corner  = { "TOP" , "LEFT" },
		iconScale 	 = 1,
		maxTime	 	 = 60*60*5,
		perLine		 = 1,
		whitelist = { "Salvation" = "player", 
		},
	},
	{
		unit = "player.target"
		name = "whitelist",
		corner  = { "TOP" , "RIGHT" },
		iconScale 	 = 1,
		maxTime	 	 = 60*60*5,
		perLine		 = 1,
		whitelist = { "Sanction heretic" = "player", "Vex" = "player",
		},
	},
	{
		unit = "player"
		name = "character",
		corner  = { "TOP" , "LEFT" },
		iconScale 	 = 2,
		maxTime	 	 = 60*60*5,
		perLine		 = 2,
		whitelist = { "Mien of Honor" = "player",
		},
	},		
}

-- Default Frame Placement Values (Can be configured per-character by dragging the frames around)
ACFramePlacement = {
	["player"] = {
		buffFrame = {
			x = 1047,
			y = 1235
		},
		debuffFrame = {
			x = 1130,
			y = 1104
		}
	},
	["player.target"] = {
		debuffFrame = {
			x = 1633,
			y = 1243
		},
		buffFrame = {
			x = 1549,
			y = 1108
		}
	}	
}
	
ACGlobals = {	
	unitFrameBarWidth = 200,
	unitFrameBarHeight = 45,
	unitFrameOffset = 2,
	comboPointsBarHeight = 5,
	mageChargeBarHeight = 15,
	font = "caith.ttf",
	fontSize = 20,
	-- frames configured to show player cast debuffs
	showPlayerDebuffsOnly = { ["player"] = false, ["player.pet"] = false, ["player.target"] = true, ["player.target.target"] = false  },
	-- frames configured to show all debuffs
	showAllDebuffs = { ["player"] = true, ["player.pet"] = false, ["player.target"] = false, ["player.target.target"] = false  },
	-- frames configured to show all buffs
	showAllBuffs = { ["player"] = false, ["player.pet"] = false, ["player.target"] = true, ["player.target.target"] = false  },
	-- frames configured to show player buffs only
	showPlayerBuffsOnly = { ["player"] = true, ["player.pet"] = false, ["player.target"] = false, ["player.target.target"] = false  },	
}